Read the authoritative AgentRun for a conversation
const options = {method: 'GET', headers: {cookie: 'overlay_session='}};
fetch('https://getoverlay.io/api/v1/conversations/run', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {method: 'GET', headers: {cookie: 'overlay_session='}};
fetch('https://getoverlay.io/api/v1/conversations/run', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://getoverlay.io/api/v1/conversations/run \
--cookie overlay_session="<unknown>"{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}Conversations
Read the authoritative AgentRun for a conversation
GET
/
api
/
v1
/
conversations
/
run
Read the authoritative AgentRun for a conversation
const options = {method: 'GET', headers: {cookie: 'overlay_session='}};
fetch('https://getoverlay.io/api/v1/conversations/run', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {method: 'GET', headers: {cookie: 'overlay_session='}};
fetch('https://getoverlay.io/api/v1/conversations/run', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://getoverlay.io/api/v1/conversations/run \
--cookie overlay_session="<unknown>"{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}Authorizations
browserSessionbearerAuth
Signed httpOnly browser session cookie.
Query Parameters
Minimum string length:
1Response
Successful response. Stable response schemas are documented in workflow guides when available.
Response shape is route-specific and may be backed by @overlay/app-core contracts.